Skip to main content
`Ctrl`+`K`

# NEPView

Prints the `NEP` data structure.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPView(NEP nep,PetscViewer viewer)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- viewer - optional visualization context

## Options Database Key

- -nep_view - calls `NEPView()` at end of `NEPSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCreate()`, `NEPViewFromOptions()`, `FNView()`

## Level

beginner

## Location

src/nep/interface/nepview.c

## Implementations

NEPView_CISS() in src/nep/impls/ciss/nciss.c
NEPView_Interpol() in src/nep/impls/interpol/interpol.c
NEPView_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c
NEPView_NLEIGS() in src/nep/impls/nleigs/nleigs.c
NEPView_RII() in src/nep/impls/rii/rii.c
NEPView_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages